Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417946 - Mousing over a tooltip with full org name in org selector closes org selector
Summary: Mousing over a tooltip with full org name in org selector closes org selector
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Organizations and Locations
Version: 6.2.7
Hardware: x86_64
OS: All
medium
low
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 13:31 UTC by Andrii Balakhtar
Modified: 2019-11-05 23:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:31:02 UTC
Target Upstream Version:


Attachments (Terms of Use)
location selector tooltip (307.07 KB, image/gif)
2018-09-07 06:20 UTC, Marek Hulan
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20990 0 None None None 2017-09-18 19:59:24 UTC

Description Andrii Balakhtar 2017-01-31 13:31:28 UTC
Description of problem:
Long organization names are shortened in org selector, mousing over them shows the tooltip above that org with full org name. The thing is, when you mouse over that tooltip (not just to read the full name, but you may simply want to select another org which is above the one with long name) - tooltip becomes in focus, which is treated as not a part of org selector, that's why selector closes.
Can be pretty annoying issue from customer perspective, which also hits our automation - automation can't select organization above the one with long name, as selector closes immediately.

Version-Release number of selected component (if applicable):
Sat 6.2.7-4.0

How reproducible:
Always

Steps to Reproduce:
1. Make sure you have any org with pretty long name (more than 32 chars i guess, let's say it name is 50 chars long)
2. Open org selector, mouse over previously mentioned org.
3. Try to mouse over any organization above previously mentioned.

Actual results:
Org selector immediately closes

Expected results:
The tooltip with full org name should be treated as a child of org selector, org selector should not close when that tooltip is in focus.

Additional info:

Comment 3 Sebastian Gräßl 2017-09-18 19:59:17 UTC
Created redmine issue http://projects.theforeman.org/issues/20990 from this bug

Comment 6 Marek Hulan 2018-09-07 06:20:06 UTC
Created attachment 1481493 [details]
location selector tooltip

Comment 7 Marek Hulan 2018-09-07 06:20:34 UTC
I can no longer reproduce with 6.4, moving to ON_QA, tested with snap 20

Comment 8 tstrych 2018-09-20 10:58:40 UTC
I also can not reproduce with 6.4, now it doesn't close org or loc selector when tooltip is in focus, tested with snap 22. 

note: I found this, but I don't think it's enough for new bug so I will just mention it here.
Create new loc (rather with long name, and in selector should be under the others) 
You want to change a loc to another and the tooltip of newly created loc is showed.
You want to click on loc above which is overllaped by tooltip, but if you are fast enough you will click only on the tooltip and the loc is not going to change. Working same way for org.

Comment 9 tstrych 2018-09-20 12:02:38 UTC
I forget to mention, tested on Mozilla Firefox version 62 and Google Chrome version 66.

Comment 10 Bryan Kearney 2018-10-16 19:31:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.